Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.ant
Class ChownTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.exist.ant.AbstractXMLDBTask
                  org.exist.ant.UserTask
                      org.exist.ant.ChownTask

public class ChownTask
extends UserTask

an ant task to change permissions on a resource

Author:
  peter.klotz@blue-elephant-systems.com

Constructor Summary
`ChownTask()`

Method Summary
`void` | `execute()`
`void` | `setGroup(java.lang.String group)`
`void` | `setName(java.lang.String user)`
`void` | `setResource(java.lang.String resource)`

Methods inherited from class org.exist.ant.AbstractXMLDBTask
`setDriver, setFailonerror, setInitdb, setPassword, setUri, setUser`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChownTask

    public ChownTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `UserTask`
  Throws:
    `org.apache.tools.ant.BuildException`

### setName

    public void setName(java.lang.String user)

### setResource

    public void setResource(java.lang.String resource)

### setGroup

    public void setGroup(java.lang.String group)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.